<!DOCTYPE html>
<html ng-app="sampleApp">
<head>
    <meta charset="UTF-8">
    <title>Chain Filter</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>
    <script src="../Libraries/angular-locale_ru-ru.js"></script>

    <script>

        var app = angular.module("sampleApp", [])
            .controller("defaultCtrl", function ($scope) {

                $scope.items = [
                    {name: "Item 1", price: 10.9, category: "Category 1", count: 10, tax: 1.12, expiration: 10},
                    {name: "Item 2", price: 1.1, category: "Category 1", count: 8, tax: 0.55, expiration: 12},
                    {name: "Item 3", price: 2.6, category: "Category 2", count: 7, tax: 0.22, expiration: 5},
                    {name: "Item 4", price: 17.5, category: "Category 2", count: 33, tax: 2.77, expiration: 10},
                    {name: "Item 5", price: 52.9, category: "Category 3", count: 7, tax: 1.12, expiration: 8},
                    {name: "Item 6", price: 102.1, category: "Category 3", count: 10, tax: 0.55, expiration: 15},
                    {name: "Item 7", price: 112.6, category: "Category 1", count: 27, tax: 0.22, expiration: 45},
                    {name: "Item 8", price: 8.5, category: "Category 2", count: 76, tax: 0.77, expiration: 15}
                ];

                $scope.sortFunc = function (value) {
                    return value.expiration < 10 ? 0 : value.price;
                };
            });
    </script>

</head>

<body ng-controller="defaultCtrl">
<div class="panel panel-primary">
    <div class="panel-heading">
        <h3>Items in cart
            <span class="label label-info">{{items.length}}</span>
        </h3>
    </div>

    <table class="table">
        <thead>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Category</th>
            <th>Count</th>
            <th>Tax</th>
            <th>Expiration</th>
        </tr>
        </thead>
        <tbody>
        <tr ng-repeat="item in items | orderBy : [sortFunc, '+price'] | limitTo : 3">
            <td>{{item.name | uppercase}}</td>
            <td>{{item.price | currency}}</td>
            <td>{{item.category | lowercase}}</td>
            <td>{{item.count | number}}</td>
            <td>{{item.tax | number : 1}}</td>
            <td>{{item.expiration}}</td>
        </tr>
        </tbody>
    </table>
</div>

</body>
</html>